using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Customer
{
    /// <summary>
    /// 客户工作经历表
    /// </summary>
    [SugarTable("Crm_VisaCustomerCompany")]
    public class Crm_VisaCustomerCompany:EntityBase
    {
        /// <summary>
        /// 客户表ID
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int DcId { get; set; }
        /// <summary>
        /// 公司名称
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(100)")]
        public string Company { get; set; }
        /// <summary>
        /// 公司地址
        /// </summary>
        [SugarColumn(IsNullable =true,ColumnDataType ="varchar(300)")]
        public string CompanyAddress { get; set; }
        /// <summary>
        /// 公司电话
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(20)")]
        public string Phone { get; set; }
        /// <summary>
        /// 职务
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string Job { get; set; }
        /// <summary>
        /// 主管名字
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(20)")]
        public string LeaderName { get; set; }
        /// <summary>
        /// 雇佣起始年月日
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "DateTime")]
        public DateTime WorkStart { get; set; }
        /// <summary>
        /// 雇佣结束年月日
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "DateTime")]
        public DateTime WorkEnd { get; set; }
        /// <summary>
        /// 工作职责及内容简述
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(500)")]
        public string WorkState { get; set; }
    }
}
